org.jfree.xml.parser.coretypes

## Class RenderingHintsReadHandler

- java.lang.Object
- - org.jfree.xml.parser.AbstractXmlReadHandler
  - - org.jfree.xml.parser.coretypes.RenderingHintsReadHandler

All Implemented Interfaces:
  XmlReadHandler

    public class RenderingHintsReadHandler
    extends AbstractXmlReadHandler

A read handler that can parse the XML element for a `RenderingHints` collection.

### Constructor Summary

Constructors
Constructor and Description
`RenderingHintsReadHandler()` Creates a new read handler.

### Method Summary

Methods
`protected void` `doneParsing()` Done parsing.
`protected XmlReadHandler` `getHandlerForChild(java.lang.String tagName, org.xml.sax.Attributes atts)` Returns the handler for a child element.
`java.lang.Object` `getObject()` Returns the object for this element.
`protected void` `startParsing(org.xml.sax.Attributes attrs)` Starts parsing.

### Methods inherited from class org.jfree.xml.parser.AbstractXmlReadHandler

`characters, endElement, getRootHandler, getTagName, init, startElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RenderingHintsReadHandler

    public RenderingHintsReadHandler()

Creates a new read handler.

### Method Detail

#### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

Starts parsing.

Overrides:
  `startParsing` in class `AbstractXmlReadHandler`
Parameters:
  `attrs` - the attributes.
Throws:
  `org.xml.sax.SAXException` - never.

#### getHandlerForChild

    protected XmlReadHandler getHandlerForChild(java.lang.String tagName,
                                    org.xml.sax.Attributes atts)
                                         throws XmlReaderException,
                                                org.xml.sax.SAXException

Returns the handler for a child element.

Overrides:
  `getHandlerForChild` in class `AbstractXmlReadHandler`
Parameters:
  `tagName` - the tag name.
  `atts` - the attributes.
Returns:
  the handler.
Throws:
  `org.xml.sax.SAXException` - if there is a parsing error.
  `XmlReaderException` - if there is a reader error.

#### doneParsing

    protected void doneParsing()
                        throws org.xml.sax.SAXException,
                               XmlReaderException

Done parsing.

Overrides:
  `doneParsing` in class `AbstractXmlReadHandler`
Throws:
  `org.xml.sax.SAXException` - if there is a parsing error.
  `XmlReaderException` - if there is a reader error.

#### getObject

    public java.lang.Object getObject()
                               throws XmlReaderException

Returns the object for this element.

Returns:
  the object.
Throws:
  `XmlReaderException` - if there is a parsing error.